Package uk.ac.starlink.topcat

# Class ColumnSearchWindow.Search

java.lang.Object
uk.ac.starlink.topcat.ColumnSearchWindow.Search

Enclosing class:
  ColumnSearchWindow

public static class ColumnSearchWindow.Search extends Object
Specifies a column content search.

## Method Summary

Modifier and Type
Method
Description
`int`
`getColumnIndex()`
Returns the model index of the column to search.
`Pattern`
`getPattern()`
Returns the regular expression defining the search.
`ColumnSearchWindow.SearchScope`
`getScope()`
Returns the scope of the search.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getColumnIndex

public int getColumnIndex()
Returns the model index of the column to search.

Returns:
  column model index

### getPattern

public Pattern getPattern()
Returns the regular expression defining the search.

Returns:
  compiled regex

### getScope

public ColumnSearchWindow.SearchScope getScope()
Returns the scope of the search.

Returns:
  scope